#### Previous topic

scipy.stats.skew

#### Next topic

scipy.stats.kstat

# scipy.stats.skewtest

`scipy.stats.``skewtest`(a, axis=0, nan_policy='propagate')

  Tests whether the skew is different from the normal distribution.

  This function tests the null hypothesis that the skewness of the population that the sample was drawn from is the same as that of a corresponding normal distribution.

  Parameters:

  a : array

  > The data to be tested

  axis : int or None, optional

  > Axis along which statistics are calculated. Default is 0. If None, compute over the whole array a.

  nan_policy : {‘propagate’, ‘raise’, ‘omit’}, optional

  > Defines how to handle when input contains nan. ‘propagate’ returns nan, ‘raise’ throws an error, ‘omit’ performs the calculations ignoring nan values. Default is ‘propagate’.

  Returns:

  statistic : float

  > The computed z-score for this test.

  pvalue : float

  > a 2-sided p-value for the hypothesis test

  Notes

  The sample size must be at least 8.